[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg-source



john@dhh.gt.org writes:

> Having a desire to look at the ppp_2.3.1 sources, I went to unstable on
> ftp.debian.org  and got what I guessed were the appropriate files:
> ppp_2.3.1-3.diff.gz, ppp_2.3.1-3.dsc, and ppp_2.3.1.orig.tar.gz.  I stuck
> these in a directory, and, after perusing the dpkg-source man page, issued
> the command:
> 
> 	dpkg-source -x ppp_2.3.1-3.dsc
> 
> and got this result:
> 
> 	dpkg-source: error: tarfile `./ppp_2.3.1.orig.tar.gz' contains object 
> 	(ppp-2.3.1/) not in expected directory (ppp-2.3.1.orig)
> 
> Can anyone tell me what I am doing wrong?  I can make no sense of this
> message.

You need to upgrade your patch package to the one in unstable, I believe.
The patch in unstable creates patch files that can't be read by the patch
in stable.

Cheers,

 - Jim

Attachment: pgpjVlaRWLpAb.pgp
Description: PGP signature


Reply to: